=======================================================================
=                                                                     =
=                                                                     =
=                           ReportGenerator                           =
=                    Generation of coverage reports                   =
=                                                                     =
=                       https://www.palmmedia.de                      =
=                                                                     =
=                                                                     =
=======================================================================

DESCRIPTION

ReportGenerator converts coverage reports generated by coverlet, OpenCover, dotCover, Visual Studio, NCover, Cobertura,
JaCoCo, Clover, gcov or lcov into human readable reports in various formats.

The reports do not only show the coverage quota, but also include the source code and visualize which lines have been
covered.

ReportGenerator supports merging several reports into one.

The following output formats are supported by ReportGenerator:

-Html, Html_Light, Html_Dark
-HtmlSummary, HtmlChart, HtmlInline
-HtmlInline_AzurePipelines, HtmlInline_AzurePipelines_Light, HtmlInline_AzurePipelines_Dark
-MHtml
-Clover
-Cobertura
-SonarQube
-lcov
-Xml, XmlSummary
-JsonSummary
-Latex, LatexSummary
-TeamCitySummary
-TextSummary
-CsvSummary
-MarkdownSummary
-PngChart
-Badges
-Custom formats (https://github.com/danielpalme/ReportGenerator/wiki/Custom-reports)

Compatibility:

-OpenCover, coverlet, altcover
-dotCover
-Visual Studio (vstest.console.exe, CodeCoverage.exe)
-NCover (tested version 1.5.8, other versions may not work)
-Cobertura
-JaCoCo
-Clover
-Mono (mprof-report)
-gcov
-lcov

=======================================================================

LICENSE

This program is licensed under the Apache License 2.0.
This means you may use this program in any project.
You are allowed to modify the program as you like.

For further details take a look at LICENSE.txt.

=======================================================================

CHANGELOG

5.1.9.0

    * Fix: #522: Reverted #516: Improved class name for gcov parser

5.1.8.0

    * Fix: #516: Added setting for custom assembly name

5.1.7.0

    * Fix: #516: Improved class name for gcov parser
    * Fix: #517: Riskhotspot filter is now case insensitive

5.1.6.0

    * Fix: #514: Improved plugin handling for netstandard2.0

5.1.5.0

    * Fix: #508: Improved plugin handling for netstandard2.0

5.1.4.0

    * Fix: #408: Improved support for generic classes for 'dotnet-coverage'

5.1.3.0

    * Fix: #503: Updated System.Text.Encodings.Web

5.1.2.0

    * Fix: #494: Fixed MSBuild task

5.1.1.0

    * Fix: Improved CSS for Azure DevOps

5.1.0.0

    * New: #433: Added report types Html_Light, Html_Dark and HtmlInline_AzurePipelines_Light
    * New: HTML reports: Replaced tabular data with cards
    * New: Added method coverage to summary table (PRO version only)
    * New: #497: Added coverage date to summary reports (for Cobertura and JaCoCo coverage files)
    * Fix: #494: Fixed MSBuild task

5.0.4.0

    * Fix: #482: Fixed incorrect shadow text in badges
    * Fix: #485: Coberatura: Fixed special file format

5.0.3.0

    * Fix: #481: Removed BOM from JSON summary

5.0.2.0

    * Fix: #466: Cobertura: Full method name for code elements
    * Fix: #467: Cobertura: Added support for reports generated by dotnet-coverage
    * Fix: #470: Improved support for Go coverage files

5.0.0.0

    * New: #397: Added .NET 6 support, dropped support for .NET Core 2.x and 3.0
    * New: #457: Added support for altcover embedded files
    * Fix: #461: Fixed namespace color in dark mode

4.8.14.0

    * Fix: #459: Improved support for C++/CLI for OpenCover coverage files

4.8.13.0

    * New: #441: Added method coverage to reports
    * New: #445: Added support for better custom logging
    * Fix: #450: Conditional file numbers in class report

4.8.11.0

    * New: #426: Added file numbers to class report
    * New: #433: Added dark mode to all HTML report types (light/dark mode is applied based on OS theme)

4.8.10.0

    * New: #431: Added Markdown output format

4.8.9.0

    * Fix: Updated Angular Components

4.8.8.0

    * Fix: Updated Angular Components (dropped support for IE)
    * Fix: #418: Cobertura: Clean up directory separators before path combine

4.8.7.0

    * Fix: #408: Fixed coverage of generic classes

4.8.6.0

    * New: #405: Added support for deterministic source paths
    * New: Improved name of generic classes (https://github.com/coverlet-coverage/coverlet/issues/1077)

4.8.5.0

    * Fix: #406: Fixed reference version of McMaster.NETCore.Plugins for package ReportGenerator.Core

4.8.4.0

    * Fix: #403: Fixed handling of leading/trailing spaces in command line parameters

4.8.3.0

    * Fix: #401: Fixed handling of '=' in command line parameters

4.8.2.0

    * Fix: #400: Allow suppling all parameters via .netconfig

4.8.1.0

    * Fix: #399: Improved merging of codeelements (maximum coverage quota was not considered)

4.8.0.0

    * New: #397: Added .NET 5 support

4.7.1.0

    * New: #392: Filters are now case insensitive

4.7.0.0

    * New: Dropped support for Nuget package 'dotnet-reportgenerator-cli'. Use 'dotnet-reportgenerator-globaltool' instead.
    * New: #384: Added warning for unknown or duplicate command line arguments
    * New: #391: Added authentication support for remote files via custom HTTP headers

4.6.7.0

    * New: #374: Added support for .netconfig
    * Fix: #363: Improved handling of HTML generation (several HTML reports at once)
    * Fix: #385: Added filtering by namespace for classfilters in DynamicCodeCoverageParser
    * Fix: #388: Removed branch coverage columns if no branch coverage is available

4.6.6.0

    * New: #379: Added setting to allow saving report types to different directories
    * New: #380: Removed UTF-8 BOM from all generated XML files

4.6.5.0

    * New: #364: Added addtional columns for branch coverage in summary
    * New: #367: Cobertura: Added support for cycolmatic complexity
    * Fix: #363: Fixed OpenCover file handling (not unique tracked methods)
    * Fix: #371: Fixed order of metrics

4.6.4.0

    * New: #366: Added custom settings to Azure DevOps task

4.6.3.0

    * New: #364: Added tooltips to show coverage as ratio
    * New: #366: Clover: Filtering of test projects (settings:excludeTestProjects=true)
    * Fix: #365: Added dark theme support for Coverage Gutters preview

4.6.2.0

    * New: Clover: Added classfilter support
    * Fix: #363: Fixed clover file handling (several branches per line)

4.6.1.0

    * Fix: #351: Fixed reading large XML coverage files

4.6.0.0

    * New: #210: Strong named all DLLs. Plugins have to be strong named too.
    * New: #348: Added coverage indicator for methods/properties
    * New: #349: Apply query string to referenced CSS and JavaScript files and links to support SAS tokens (e.g. on blob storage)
    * New: Added Source Link for Nuget package 'ReportGenerator.Core'
    * New: Changed default HTML extension from '*.htm' to '*.html'

4.5.8.0

    * Fix: Issue #341: Improved parameter handling in MSBuild task

4.5.6.0

    * Fix: Issue #340: Fixed typo in badges

4.5.5.0

    * Fix: Issue #338: Improved error/warning messages
    * Fix: Issue #339: Badges are now always genererated with text 'N/A' if not available

4.5.4.0

    * Fix: Issue #336: Fix class-level branch coverage for OpenCover

4.5.3.0

    * Fix: Issue #335: Workaround for MSBuild task in .NET Core SDK 3.1.20x

4.5.2.0

    * Fix: Issue #331: Fixed string encoding in JsonSummary

4.5.1.0

    * New: Issue #324: Removed image urls for HTML inline reports
    * New: Issue #329: Allow custom report heading via new '-title' command line parameter
    * Fix: Issue #326: Reduced verbosity of logs for Info level

4.5.0.0

    * New: Issue #323: Added new output format Clover

4.4.7.0

    * Fix: Issue #320: TeamCitySummary: Corrected reporting of branches

4.4.6.0

    * Fix: Issue #307: Removed argument logging for all log levels except 'Verbose'
    * Fix: Issue #316: Improved lcov support

4.4.5.0

    * Fix: Upgraded ReportGenerator.Core package for usage with .NET Core 3.x

4.4.4.0

    * Fix: Upgraded ReportGenerator.Core package for usage with .NET Core 3.x
    * New: Issue #312: Added more badges

4.4.3.0

    * Fix: Issue #311: Improved lcov support

4.4.2.0

    * Fix: Issue #310: Disabled path normalization for remote files

4.4.1.0

    * New: Issue #306: Added warning when parsing binary coverage report generated by a Visual Studio code coverage tool
    * New: Issue #309: Added branch information to lcov output format

4.4.0.0

    * New: Issue #304: Added new output format JSONSummary

4.3.9.0

    * Fix: Issue #302: Fixed spelling error for settings::cachingDuringOfRemoteFilesInMinutes

4.3.8.0

    * Fix: Issue #300: Fixed parsing issue for JaCoCo files

4.3.6.0

    * Fix: Issue #294: Fixed handling of partial classes for Cobertura coverage files

4.3.5.0

    * Fix: Issue #292: Improved support for Clover files generated by PhpUnit

4.3.4.0

    * Fix: Issue #292: Improved handling of Clover format

4.3.3.0

    * Fix: Issue #291: Added support for numbers with exponent in Cobertura report

4.3.2.0

    * Fix: Issue #290: Directories from command line parameter 'sourcedirs' are now used to determine path of files

4.3.1.0

    * Fix: Issue #262: Readded missing API

4.3.0.0

    * New: Issue #205: Support for .NET Core 3.0
    * New: Issue #262: Performance improvements
    * New: Issue #285: Added lcov output format
    * Fix: Issue #283: Improved logging of coverage report paths
    * Fix: Issue #284: Fixed layout issue in Google Chrome
    * Fix: Improved merging of partially covered lines

4.2.20.0

    * Fix: Issue #281: Improved handling of encoding when parsing files

4.2.19.0

    * Fix: Issue #279: Improved parameter handling in MSBuild task

4.2.17.0

    * Fix: Issue #275: Disabled grouping by namespace if no namespace exists
    * Fix: Issue #275: Added support for namespaces in DynamicCodeCoverageParser
    * Fix: Issue #277: Changed default log level to Info

4.2.16.0

    * Fix: Issue #276: Improved Clover support for coverage files generated by Jest

4.2.15.0

    * Fix: Issue #273: Handling of large coverage numbers

4.2.13.0

    * Fix: Issue #271: Prevented file parsing multiple times

4.2.12.0

    * Fix: Issue #270: Improved file pattern verification

4.2.11.0

    * Fix: Issue #268: Reduced file name length for XML report files
    * Fix: Issue #270: Improved file pattern verification

4.2.10.0

    * Fix: Issue #269: Improved lcov support for Flutter

4.2.9.0

    * Fix: Issue #84: Improved parameter handling in Azure DevOps extension
    * Fix: Added support for Clover files with namespace declaration (coverage files generated by https://github.com/jsargiot/visual-coverage)

4.2.5.0

    * Fix: Issue #260: Added tag to comparision selection

4.2.4.0

    * Fix: Issue #117: Improved file filters (classes get removed if all files are removed)
    * Fix: Issue #260: Added tag to comparision selection

4.2.3.0

    * Fix: Issue #259: Improved tooltip position in charts

4.2.2.0

    * Fix: Issue #256: Improved XML report

4.2.1.0

    * Fix: Issue #255: Improved performance of Cobertura parser

4.2.0.0

    * New: Added support for gcov and lcov

4.1.10.0

    * Fix: Issue #251: DynamicCodeCoverage: Fixed handling of lines with number 15732480

4.1.9.0

    * New: Issue #247: Added new overloads to GenerateReports
    * Fix: Issue #248: Improved merging of metrics (use minimum for certain metrics)
    * Fix: Issue #250: Fixed backlink symbol for Firefox

4.1.8.0

    * Fix: Issue #239: Improved link back to the summary page for Azure DevOps

4.1.7.0

    * Fix: Issue #242: Improved option to remove risk hotspots section
    * Fix: Issue #243, #244: Made SummaryResult class public
    * Fix: Issue #245, #246: Improved nested class handling for Cobertura

4.1.6.0

    * New: Issue #239: Added link back to the summary page
    * New: Issue #242: Added option to remove risk hotspots section

4.1.5.0

    * New: Moved MSBuild task to separate assembly
    * Fix: Issue #229: Changed sorting on summary page (assemblies are now included in sorting)
    * Fix: Issue #234: Made CoverageReportParser class public
    * Fix: Issue #232: Allow roll-forward to .NET Core 3.0 if 2.x is not installed
    * Fix: Issue #235: Improved nested class handling for Cobertura

4.1.4.0

    * Fix: Issue #115: Cobertura path problem when source path is drive letter

4.1.3.0

    * New: Issue #228: New report type 'TeamCitySummary'

4.1.2.0

    * Fix: Issue #227: Performance improvement - class.js is generated only once

4.1.1.0

    * Fix: Issue #225: Improved arguments parsing for Linux

4.1.0.0

    * Fix: Issue #224: Fixed badge generation in CLI tool

4.0.15.0

    * Fix: Issue #218: Removed unnecessary trailing zeros in metrics
    * Fix: Issue #219: Fixed errors in Cobertura reports (not compliant with DTD)

4.0.14.0

    * Fix: Issue #213: Correct usage of source directories in Cobertura
    * Fix: Issue #216: Handling of large coverage numbers

4.0.13.0

    * New: Issue #207: Highlighting of test methods by line coverage
    * Fix: Issue #212: Fixed name of SonarQube file

4.0.12.0

    * Fix: Issue #192, #209: Parsing of invalid Cobertura files

4.0.11.0

    * Fix: Fixed icons on collapse all / expand all
    * New: Issue #205: DotnetCliTool Nuget package: Added support for .NET Core 3.0

4.0.10.0

    * New: Issue #203: Dark theme for Azure DevOps

4.0.9.0

    * Fix: Issue #202: Attribute 'branch' is no longer required in Cobertura files

4.0.8.0

    * Fix: Issue #199: Handling of negative NPath complexity values (integer overflow)
    * Fix: Issue #201: Set architecture to AnyCPU (64-bit preferred)

4.0.7.0

    * New: Issue #196: Local caching of remote files

4.0.6.0

    * New: Issue #193: Added support for Clover input format
    * New: Issue #194: Added support for SonarQube output format

4.0.5.0

    * New: Issue #180: Added support for remote SourceLink source files
    * New: Issue #183: Logging path information of generated files
    * New: Issue #188: Added filtering options for coverage history comparision
    * New: Optimized JavaScript code (reduced file size of inline reports)
    * Fix: Issue #116, #185: Improved performance of summary page

4.0.4.0

    * Fix: Issue #176: Fixed font problem with AzurePipelines

4.0.3.0

    * Fix: Issue #173: New report type with AzurePipelines specific CSS

4.0.2.0

    * Fix: Issue #164: PNG fallback included in HtmlInline report

4.0.1.0

    * Fix: Issue #170: Made PNG fallback images optional for better performance (see: #164)

4.0.0.0

    * New: Issue #112: Added support for .NET Core
    * New: Issue #126: Usage of multiple cores during report generation
    * New: Issue #131: Linked method metric names to code location
    * New: Issue #143: Added MSBuild task definition to the NuGet package
    * New: Improved Latex and XML reports
    * New: Added Coberatura as output format
    * New: Issue #141: Compare with historic coverage
    * New: Issue #151: Reduced color brightness
    * New: Issue #160: Added JaCoCo support
    * New: Issue #161: Added globbing support for 'reports' command line parameter
    * Fix: Issue #127: Fixed coverage calculation for NCover
    * Fix: Issue #133: Empty Risk Hotspots section when no risk hotspot exists
    * Fix: Issue #135: Handling of NaN in metrics of Cobertura files
    * Fix: Issue #136: Changed branch handling in Cobertura parser
    * Fix: Issue #145: Improved handling of coverage files generated by altcover
    * Fix: Issue #157: OpenCover parser ignores classes with only async methods
    * Fix: Issue #164: HTML reports contain history chart as inline PNG to show chart when JS is disabled
    * Fix: Issue #165: Limited report files path lengths
    * Fix: Issue #169: Improved formatting of percentual metrics
    * Change: Dropped support for PartCover

3.1.1.0

    * Fix: Issue #117: Improved file filters (classes get removed if all files are removed)

3.1.0.0

    * New: Issue #102: Added risk hotspot analysis based on metrics
    * New: Issue #110: Added zoom function to historic charts
    * Fix: Issue #106: Totals on last entry in chart multiplied
    * Fix: Issue #113: Escaping of backslash in Windows path
    * Fix: Issue #115: Cobertura path problem when source path is drive letter

3.0.2.0

    * New: Improved CSS (background color of tiny charts)
    * New: Improved tag handling when parsing history files

3.0.1.0

    * Fix: Issue #105: Removed processing of auto properties for OpenCover. Coverage reports generated with newer
           versions of OpenCover provide the necessary information (SequencePoints).

3.0.0.0

    * New: Issue #70: Added coverage indicator to test method selection
    * New: Issue #99: Added new command line parameter "-tag" to add a custom text to reports and historic charts
    * New: Issue #101: Added stripped rows on summary table
    * Change: Dropped support for legacy command line parameters
    * Change: Changed 'IReportBuilder' interface which is used for custom reports

2.5.11.0

    * New: Issue #93: Added badges in PNG format

2.5.10.0

    * New: Issue #94: Added filtering for files

2.5.9.0

    * Fix: Issue #92: Improved total lines metric on summary page

2.5.8.0

    * New: Issue #90: Added report type "HtmlInline"

2.5.7.0

    * New: Issue #89: Added support for Cobertura line-rate and branch-rate metrics

2.5.6.0

    * Fix: Issue #87: Fixed history coverage file generation

2.5.5.0

    * Fix: Issue #85: Added new verbosity levels: Warning, Off

2.5.4.0

    * New: Issue #85: Added new verbosity levels: Warning, Off

2.5.3.0

    * New: Issue #78: Added support for custom storage of historic files
    * Fix: Issue #79: Fixed IndexOutOfRangeException in CoberturaParser
    * Fix: Issue #83: Added support for duplicate test methods per file

2.5.2.0

    * New: Issue #74: Added support for Mono's mprof-report
    * Fix: Issue #72: Fixed tooltip position in coverage chart
    * Fix: Issue #75: Removed Google font in HTML report

2.5.1.0

    * Fix: Issue #69: Fixed width of coverage bars

2.5.0.0

    * New: Issue #57: Added support for OpenCover's 'Crap Score' and 'NPath complexity' metric
    * New: Issue #61: Added support for Cobertura
    * New: Issue #68: Added new report type (MHTML)
    * New: Issue #63: Visual indicator for partially covered lines (OpenCover, CodeCoverage.exe, Cobertura)
    * Fix: Issue #62: Improved HTML report (Keeping state of summary report, added method list on class report)
    * Fix: Issue #55: Branch coverage columns only rendered if available
    * Fix: Issue #56: Improved method naming in metrics for async methods
    * Fix: Issue #60: Improved merging from different paths
    * Fix: Issue #67: Improved handling of classes with name '__'

2.4.5.0

    * Fix: Issue #44: Added limit to number of parsed historic files

2.4.4.0

    * New: Added extensibility points https://github.com/danielpalme/ReportGenerator/pull/40

2.4.3.0

    * Fix: Issue #38: Improved logging

2.4.2.0

    * New: Added new report types (HTMLChart, PNGChart, CsvSummary)
    
2.4.1.0

    * New: Issue #36: Improved calculation of branch coverage

2.4.0.0

    * New: Issue #34: Added support for dotCover
    * Fix: Issue #35: Improved Jenkins CSP compliance
    
2.3.5.0

    * New: Added branch coverage to XML report
    * Fix: Issue #33: Improved handling of obfuscated getters and setters

2.3.4.0

    * Fix: Issue #31: Improved support for shared folders

2.3.3.0

    * Fix: Issue #30: Improved support of .NET 4.6

2.3.2.0

    * Fix: Issue #27: Improved CSS
    
2.3.1.0

    * Fix: Issue #26: Improved Mono/Linux support (removed log4net)
    
2.3.0.0

    * New: Issue #25: Added badges (SVG format)

2.2.0.0

    * New: Added filtering for classes

2.1.8.0

    * Fix: Issue #22: Correct order of historic coverage information

2.1.7.0

    * Fix: Issue #19: Changed Nuget package structure to support VS 2015
    * Fix: Issue #20: Improved handling of classes with all async/await methods

2.1.6.0

    * Fix: Issue #18: Improved handling of nested classes
    
2.1.5.0

    * Fix: Issue #16: Optimized CSS for printing HTML report

2.1.4.0

    * New: Improved log message for custom report plugins
    * Fix: Issue #10: Better handling of file references for older OpenCover versions

2.1.3.0

    * Fix: Issue #8: Better handling of PathTooLongExceptions

2.1.2.0

    * Fix: Issue #7: Improved Filter button handling
    * Fix: Issue #6: Removed reference to JS map
    
2.1.1.0

    * Fix: Issue #2: HTML class report: Select test method does not update page correctly
    * Fix: Issue #1: Handling of invalid XML characters

2.1.0.0

    * New: Trend/History charts of line and branch coverage
    * New: Rendering of branch coverage in summary page

2.0.4.0

    * Fix: Issue #10849: Improved handling of several classes in same file
    * Fix: Automatical unblocking of assemblies that are loaded
    
2.0.3.0

    * Fix: HTML report now compatible with IE 10

2.0.2.0

    * New: Table in HTML summary report now shows total lines
    * Fix: Better support of CodeContracts with OpenCover

2.0.1.0

    * New: Visual indicator for branch coverage percentage

2.0.0.0

    * New: Added ability for custom reports using MEF plugins
    * New: Added support for OpenCover branch information by line
    * New: Added new report format: TextSummary 
    * Fix: Issue #10553: Handling of compiler generated classes in F#
    * Fix: Generic classes appear correctly in reports (VisualStudioParser and DynamicCodeCoverageParser)
    * Fix: HTML report now compatible with IE 11

1.9.1.0

    * Fix: Improved naming of HTML report files

1.9.0.0

    * New: Added support for Visual Studio coverage reports (CodeCoverage.exe)

1.8.1.0

    * Fix: Issue #9988: Completely empty classes now show correct coverage

1.8.0.0

    * New: Issue #9891: Aggregation of results by namespace
    * New: Issue #9875: More details and sorting possiblity in summary report
    * New: Issue #9913: Mark of complete line according to coverage
    * New: Issue #9935: In HTMLSummary static text instead of link is rendered
    * New: Issue #9937: HTMLSummary now is a self containing report without external CSS or JavaScript

1.7.3.0

    * New: Issue #9833: Version command line parameter
    * Fix: Issue #9886: Compatibility for OpenCover 4.0.1229

1.7.2.0

    * Fix: Issue #9736: NCover 1.5.8 Exclude attribute is not handled
    * Fix: Issue #9773: Ignored casing in directory search

1.7.1.0

    * Fix: Issue #9706: Trailing slashes in command line arguments

1.7.0.0

    * New: Issue #9698: Added "coverbytest" support of OpenCover
    * Fix: Issue #9671: Reduced length of report filenames
    * Fix: Reports can now be located in an UNC path

1.6.1.0

    * Fix: Issue #9646: Unhandled IO-Exception when source directories are supplied

1.6.0.0

    * New: Added support for Visual Studio coverage reports (vstest.console.exe)
    * New: Issue #9534: Added support for wildcards in report file pattern
    * Fix: OpenCoverParser supports coverage for methods that 'yield' the result

1.5.0.0

    * Fix: Improved merging of metrics (now using full signature)
    * Fix: Reduced memory usage during report generation

1.4.1.0

    * New: Added verbosity switch
    * New: Added possibility to generate several output formats at once

1.4.0.0

    * Fix: Issue #9372: Reduced memory usage

1.3.0.0

    * New: Added more report preprocessing to deal with auto properties and source files that don't appear in 
           OpenCover/PartCover reports
    * New: Added possibility to filter assemblies

1.2.7.0

    * Fix: Issue #9266: Improved performance

1.2.6.0

    * Fix: Issue #9141: Handling of same assembly in different directories in OpenCoverParser

1.2.5.0

    * New: Excluded ignored classes from OpenCoverParser

1.2.4.0

    * Fix: Issue #9065: Rounding of coverage quota down to the last significant figure
    * Fix: Issue #9041: Merging reports doesn't work when the same module is used from different paths

1.2.3.0

    * Fix: Issue #8992: Improved HTML Summary (collapsing of classes)

1.2.2.0

    * Fix: Issue #8931: Improved layout of Html reports
    * Fix: Issue #8958: Coverage for types with no sequence points
    * Fix: Issue #8936: Additional statistics for assemblies

1.2.1.0

    * Fix: Issue #8653: NCover - OutOfMemoryException on a seqpoint with a magic line
    * Fix: Improved layout of Latex reports

1.2.0.0

    * New: Added support for OpenCover metrics
    * New: Added support for AutoProperties in OpenCover/PartCover

1.1.1.0

    * Fix: Reports now saved with more unique filename

1.1.0.0

    * New: Added support for OpenCover
    * New: Added XML and Latex as output formats

1.0.0.0

    * New: Return code now indicates success/failure
    * New: Added MSBuild Task

0.7.2.0

    * New: Upgraded to .NET 4.0 and VS 2010
    * Fix: Improved performance by using TPL

0.7.1.0

    * Fix: Improved performance

0.7.0.0

    * New: Coverage information of unexecuted methods for PartCover 2.3.0.35109

0.6.2.0

    * Fix: Improved performance

0.6.1.0

    * New: Added support for PartCover 2.3.0.35109

0.6.0.0

    * New: Included log4net

0.5.0.0

    * New: Added more statistics
    * Fix: Coverage quota is now calculated exactly

0.4.0.0

    * Fix: Improved performance

0.3.0.0

    * New: Merging of reports
    * New: Multicore support

0.2.0.0

    * New: Added NCover support
    * New: Automatical detection of parser
    * Fix: Improved performance

0.1.0.0

    * New: Initial release